Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 418161 - media-libs/mesa-8.0.3 test causes buffer overflow
Summary: media-libs/mesa-8.0.3 test causes buffer overflow
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Hardened (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo X packagers
URL: https://bugs.freedesktop.org/show_bug...
Whiteboard:
Keywords:
Depends on:
Blocks: fortify-source
  Show dependency tree
 
Reported: 2012-05-29 17:41 UTC by Markus Oehme
Modified: 2015-02-21 18:54 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build log (build.log,824.43 KB, text/plain)
2012-05-29 17:41 UTC, Markus Oehme
Details
emerge --info (info.txt,5.37 KB, text/plain)
2012-05-29 17:41 UTC, Markus Oehme
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Oehme 2012-05-29 17:41:34 UTC
Created attachment 313553 [details]
build log

On my hardened ~amd64 machine with gcc-4.7.0 I see the following buffer overflow warning during the test phase of merging mesa.

[ RUN      ] glXCreateContextAttribARB_test.NULL_display_returns_None
*** buffer overflow detected ***: glx_unittest - terminated
glx_unittest: buffer overflow attack in function <unknown> - terminated
Report to http://bugs.gentoo.org/
/bin/sh: line 5: 13934 Killed                  ${dir}$tst
FAIL: glx_unittest
Comment 1 Markus Oehme 2012-05-29 17:41:58 UTC
Created attachment 313555 [details]
emerge --info
Comment 2 Chí-Thanh Christopher Nguyễn gentoo-dev 2012-05-29 21:31:15 UTC
As this problem is probably not Gentoo-specific, it would be good if you also open a report upstream at https://bugs.freedesktop.org/ (if no report already exists) and add the URL to this bug.
Comment 3 Markus Oehme 2012-06-02 19:02:24 UTC
I posted the bug upstream at [1].

[1] https://bugs.freedesktop.org/show_bug.cgi?id=50621
Comment 4 Matt Turner gentoo-dev 2015-02-21 18:54:15 UTC
Fixed since 8.0.4.